%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           rkhunter
Version:        1.4.6
Release:    1%{?dist}
Summary:        A host-based tool to scan for rootkits, backdoors and local exploits

License:        GPLv2+
URL:            http://rkhunter.sourceforge.net/
Source0:        http://downloads.sourceforge.net/rkhunter/rkhunter-%{version}.tar.gz
Source2:        01-rkhunter
Source3:        rkhunter.sysconfig
Patch0:         rkhunter-1.4.6-systemconfig.patch
Patch1:         rkhunter-1.4.6-drop-libkeyutils-check.patch
Patch2:         rkhunter-1.4.6-ssh.d.patch
Patch3:         rkhunter-1.4.6-grep.patch
BuildArch:      noarch
BuildRequires:      perl-generators

Requires:       coreutils, binutils, kmod, findutils, grep
Requires:       e2fsprogs, procps, lsof, iproute, wget
Requires:       perl-interpreter, perl(strict), perl(IO::Socket), s-nail, logrotate
Requires:       crontabs

%description
Rootkit Hunter (RKH) is an easy-to-use tool which checks
computers running UNIX (clones) for the presence of rootkits
and other unwanted tools.

%prep

%autosetup -p1

%{__cat} <<'EOF' >%{name}.logrotate
%{_localstatedir}/log/%{name}/%{name}.log {
    weekly
    notifempty
    create 640 root root
}
EOF

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir} -m755 -p %{buildroot}%{_bindir}
%{__mkdir} -m755 -p %{buildroot}%{_sysconfdir}/{cron.daily,sysconfig,logrotate.d}
%{__mkdir} -m755 -p %{buildroot}%{_datadir}/%{name}/scripts
%{__mkdir} -m755 -p %{buildroot}%{_pkgdocdir}
%{__mkdir} -m755 -p %{buildroot}%{_mandir}/man8
%{__mkdir} -m700 -p %{buildroot}%{_var}/lib/%{name}
%{__mkdir} -m755 -p %{buildroot}%{_var}/lib/%{name}/db
%{__mkdir} -m755 -p %{buildroot}%{_var}/log/%{name}
%{__mkdir} -m755 -p %{buildroot}%{_var}/lib/%{name}/db/i18n

%{__install} -m755 -p files/%{name}             %{buildroot}%{_bindir}/

%{__install} -m644 -p files/backdoorports.dat   %{buildroot}%{_var}/lib/%{name}/db/
%{__install} -m644 -p files/mirrors.dat         %{buildroot}%{_var}/lib/%{name}/db/
%{__install} -m644 -p files/programs_bad.dat    %{buildroot}%{_var}/lib/%{name}/db/
%{__install} -m644 -p files/i18n/cn             %{buildroot}%{_var}/lib/%{name}/db/i18n/
%{__install} -m644 -p files/i18n/en             %{buildroot}%{_var}/lib/%{name}/db/i18n/

%{__install} -m644 -p files/CHANGELOG           %{buildroot}%{_pkgdocdir}
%{__install} -m644 -p files/LICENSE             %{buildroot}%{_pkgdocdir}
%{__install} -m644 -p files/README              %{buildroot}%{_pkgdocdir}
%{__install} -m755 -p files/check_modules.pl    %{buildroot}%{_datadir}/%{name}/scripts/
%{__install} -m644 -p files/*.8                 %{buildroot}%{_mandir}/man8/
%{__install} -m755 -p %{SOURCE2}                %{buildroot}%{_sysconfdir}/cron.daily/%{name}
%{__install} -m644 -p %{name}.logrotate         %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m640 -p files/%{name}.conf        %{buildroot}%{_sysconfdir}/
%{__install} -m640 -p %{SOURCE3}                %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%files
%doc %{_pkgdocdir}/*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/scripts
%{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/db
%ghost %{_var}/lib/%{name}/db/mirrors.dat
%ghost %{_var}/lib/%{name}/db/programs_bad.dat
%ghost %{_var}/lib/%{name}/db/backdoorports.dat
%{_var}/lib/%{name}/db/i18n
%dir %{_var}/log/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_pkgdocdir}
%{_mandir}/man8/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.6-1
- initial build
